Get collection tree

Retrieves all collections organized as a nested tree structure based on parent-child relationships, with translations and redirects.

GET/api/v1/{team_slug}/{app_slug}/collections/tree
API
Management
Updated
Apr 26, 2026

management-api:GET:/api/v1/{team_slug}/{app_slug}/collections/tree

Retrieves all collections organized as a nested tree structure based on parent-child relationships, with translations and redirects.

API ownership

  • API family: Management API
  • Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data.
  • Do not use from: Browser-only storefront code or public clients.
  • Guide route: /apis/management/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/collections/tree
  • Summary: Get collection tree
  • Description: Retrieves all collections organized as a nested tree structure based on parent-child relationships, with translations and redirects.
  • OpenAPI contract: management-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters2 parameters
NameInRequiredTypeDescription
app_slugpathYesstringApp slug
team_slugpathYesstringTeam slug
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses5 statuses
StatusDescriptionContent
200All collections for the appapplication/json (object)
400Invalid request (e.g. bad UUID, validation error)application/json (object)
401Unauthorized accessapplication/json (object)
422Invalid request and not parsable by backendapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Collections

PropertyTypeRequiredDetails
dataobject[]No-
successbooleanNo-
totalintegerNo-
total_pagesintegerNo-
Collection
PropertyTypeRequiredDetails
childrenobject[]No-
created_atstringNo-
idstringNo-
parent_idstringNo-
redirectsobject[]No-
slugstringYes-
statusenum("active", "inactive", "draft")Yes-
titlestringNo-
translationsobjectNo-
updated_atstringNo-
uristringNo-
Redirects
PropertyTypeRequiredDetails
idstringNo-
item_idstringNo-
localestringNo-
new_slugstringNo-
old_slugstringNo-
typeenum("product", "page", "collection", "category", "product_bundle")No-
Collection Translation
PropertyTypeRequiredDetails
slugobject[]No-
titleobject[]No-
{
  "data": [
    {
      "children": [
        {
          "children": null,
          "created_at": null,
          "id": null,
          "parent_id": null,
          "redirects": null,
          "slug": null,
          "status": null,
          "title": null,
          "translations": null,
          "updated_at": null,
          "uri": null
        }
      ],
      "created_at": "string",
      "id": "string",
      "parent_id": "string",
      "redirects": [
        {
          "id": null,
          "item_id": null,
          "locale": null,
          "new_slug": null,
          "old_slug": null,
          "type": null
        }
      ],
      "slug": "string",
      "status": "active",
      "title": "string",
      "translations": {
        "slug": [],
        "title": []
      },
      "updated_at": "string",
      "uri": "string"
    }
  ],
  "success": false,
  "total": 0,
  "total_pages": 0
}

400 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

401 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

422 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

500 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Management API
  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/collections/tree
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Collections
  • OpenAPI summary: Get collection tree

Get collection tree

# Get collection tree Retrieves all collections organized as a nested tree structure based on parent-child relationships, with translations and redirects.
GET /api/v1/{team_slug}/{app_slug}/collections/tree
Purpose

Retrieves all collections organized as a nested tree structure based on parent-child relationships, with translations and redirects.

Required inputs

app_slug path team_slug path

Primary response

200 ยท All collections for the app

Operation key

management-api:GET:/api/v1/{team_slug}/{app_slug}/collections/tree

## API ownership - API family: Management API - Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data. - Do not use from: Browser-only storefront code or public clients. - Guide route: [/apis/management/latest](/apis/management/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/collections/tree` - Summary: Get collection tree - Description: Retrieves all collections organized as a nested tree structure based on parent-child relationships, with translations and redirects. - OpenAPI contract: management-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/collections/tree` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_slug | path | Yes | string | App slug | | team_slug | path | Yes | string | Team slug | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | All collections for the app | application/json (object) | | 400 | Invalid request (e.g. bad UUID, validation error) | application/json (object) | | 401 | Unauthorized access | application/json (object) | | 422 | Invalid request and not parsable by backend | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Collections | Property | Type | Required | Details | | --- | --- | --- | --- | | `data` | object[] | No | - | | `success` | boolean | No | - | | `total` | integer | No | - | | `total_pages` | integer | No | - | ##### Collection | Property | Type | Required | Details | | --- | --- | --- | --- | | `children` | object[] | No | - | | `created_at` | string | No | - | | `id` | string | No | - | | `parent_id` | string | No | - | | `redirects` | object[] | No | - | | `slug` | string | Yes | - | | `status` | enum("active", "inactive", "draft") | Yes | - | | `title` | string | No | - | | `translations` | object | No | - | | `updated_at` | string | No | - | | `uri` | string | No | - | ##### Redirects | Property | Type | Required | Details | | --- | --- | --- | --- | | `id` | string | No | - | | `item_id` | string | No | - | | `locale` | string | No | - | | `new_slug` | string | No | - | | `old_slug` | string | No | - | | `type` | enum("product", "page", "collection", "category", "product_bundle") | No | - | ##### Collection Translation | Property | Type | Required | Details | | --- | --- | --- | --- | | `slug` | object[] | No | - | | `title` | object[] | No | - |
Generated example (synthetic) ```json { "data": [ { "children": [ { "children": null, "created_at": null, "id": null, "parent_id": null, "redirects": null, "slug": null, "status": null, "title": null, "translations": null, "updated_at": null, "uri": null } ], "created_at": "string", "id": "string", "parent_id": "string", "redirects": [ { "id": null, "item_id": null, "locale": null, "new_slug": null, "old_slug": null, "type": null } ], "slug": "string", "status": "active", "title": "string", "translations": { "slug": [], "title": [] }, "updated_at": "string", "uri": "string" } ], "success": false, "total": 0, "total_pages": 0 } ```
### 400 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 401 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 422 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 500 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Management API - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/collections/tree` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/collections/tree` - OpenAPI tag: Collections - OpenAPI summary: Get collection tree